Bug 511228 - (CVE-2009-2477, CVE-2009-2478, CVE-2009-2479) CVE-2009-2477 CVE-2009-2478 CVE-2009-2479 firefox 3.5 various flaws
CVE-2009-2477 CVE-2009-2478 CVE-2009-2479 firefox 3.5 various flaws
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
http://www.milw0rm.com/exploits/9137
impact=critical,source=gentoo,reporte...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 06:46 EDT by Jan Lieskovsky
Modified: 2010-04-08 14:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-08 14:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jan Lieskovsky 2009-07-14 08:13:24 EDT
This issue does NOT affect the versions of the seamonkey package, as shipped
with Red Hat Enterprise Linux 3 and 4.

This issue does NOT affect the versions of the firefox package, as shipped
with Red Hat Enterprise Linux 4 and 5.

This issue does NOT affect the version of the firefox package, as shipped
with Fedora release of 10.

This issue affects the version of the firefox package, as shipped
with Fedora release of 11.
Comment 3 Jan Lieskovsky 2009-07-16 11:56:25 EDT
MITRE's CVE-2009-2478 entry:

Mozilla Firefox 3.5 allows remote attackers to cause a denial of
service (NULL pointer dereference and application crash) via
unspecified vectors, related to a "flash bug."

References:
----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2478
https://bugzilla.mozilla.org/show_bug.cgi?id=502648
https://bugzilla.mozilla.org/show_bug.cgi?id=503286
Comment 4 Jan Lieskovsky 2009-07-16 11:57:54 EDT
MITRE's CVE-2009-2479 entry:

Stack-based buffer overflow in Mozilla Firefox 3.5 allows remote
attackers to cause a denial of service (application crash) or possibly
have unspecified other impact via a long Unicode string argument to
the write method.

References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2479
http://www.milw0rm.com/exploits/9158
http://www.securityfocus.com/bid/35707
http://xforce.iss.net/xforce/xfdb/51729
Comment 5 Fedora Update System 2009-07-22 18:02:57 EDT
firefox-3.5.1-1.fc11, xulrunner-1.9.1.1-1.fc11, blam-1.8.5-12.fc11, chmsee-1.0.1-9.fc11, eclipse-3.4.2-13.fc11, epiphany-2.26.3-2.fc11, epiphany-extensions-2.26.1-4.fc11, evolution-rss-0.1.2-11.fc11, galeon-2.0.7-12.fc11, gnome-python2-extras-2.25.3-5.fc11, gnome-web-photo-0.7-4.fc11, google-gadgets-0.11.0-2.fc11, hulahop-0.4.9-6.fc11, java-1.6.0-openjdk-1.6.0.0-25.b16.fc11, kazehakase-0.5.6-11.svn3771_trunk.fc11.3, Miro-2.0.5-2.fc11, mozvoikko-0.9.7-0.5.rc1.fc11, ruby-gnome2-0.19.0-3.fc11.1, perl-Gtk2-MozEmbed-0.08-6.fc11.3, yelp-2.26.0-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.